picocli

## Interface CommandLine.Model.IOrdered

All Known Implementing Classes:
  CommandLine.Model.ArgGroupSpec, CommandLine.Model.OptionSpec

Enclosing class:
  CommandLine.Model

    public static interface CommandLine.Model.IOrdered

Interface for sorting `options` and `groups` together.

Since:
  4.0

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `order()` Returns the position in the options list in the usage help message at which this element should be shown.

### Method Detail

#### order

    int order()

Returns the position in the options list in the usage help message at which this element should be shown. Elements with a lower number are shown before elements with a higher number. This attribute is only honored if `CommandLine.Model.UsageMessageSpec.sortOptions()` is `false` for this command.